Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface ITableContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContainerContent, IContent, IElement, IStyledElement

    public interface ITableContent

extends IContainerContent

Provides the interfaces for the Table Content

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`void` | `addColumn(IColumn column)`
`java.lang.String` | `getCaption()`
`java.lang.String` | `getCaptionKey()`
`IColumn` | `getColumn(int index)`
`int` | `getColumnCount()`
`java.util.List` | `getColumns()`
`ITableBandContent` | `getFooter()` get the footer band,return NULL if the table has no footer.
`ITableBandContent` | `getHeader()` get the header band.
`java.lang.String` | `getSummary()`
`boolean` | `isHeaderRepeat()`
`void` | `setCaption(java.lang.String caption)`
`void` | `setCaptionKey(java.lang.String key)`
`void` | `setHeaderRepeat(boolean repeat)`
`void` | `setSummary(java.lang.String summary)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Method Detail

### getColumnCount

    int getColumnCount()

### getColumn

    IColumn getColumn(int index)

### addColumn

    void addColumn(IColumn column)

### getCaption

    java.lang.String getCaption()

  Returns:
    Returns the caption.

### setCaption

    void setCaption(java.lang.String caption)

### getCaptionKey

    java.lang.String getCaptionKey()

### setCaptionKey

    void setCaptionKey(java.lang.String key)

### isHeaderRepeat

    boolean isHeaderRepeat()

  Returns:

### setHeaderRepeat

    void setHeaderRepeat(boolean repeat)

### getHeader

    ITableBandContent getHeader()

  get the header band. return null if the table has no header.

  Returns:

### getFooter

    ITableBandContent getFooter()

  get the footer band,return NULL if the table has no footer.

  Returns:

### getColumns

    java.util.List getColumns()

### setSummary

    void setSummary(java.lang.String summary)

### getSummary

    java.lang.String getSummary()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.